Bug 1573792 - window7(64bit) install qxl virtio-141 driver cause the system outage
Summary: window7(64bit) install qxl virtio-141 driver cause the system outage
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Virtualization Tools
Classification: Community
Component: virtio-win
Version: unspecified
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Amnon Ilan
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-02 09:42 UTC by zhangjianwei
Modified: 2018-05-03 09:43 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-03 09:43:03 UTC


Attachments (Terms of Use)

Description zhangjianwei 2018-05-02 09:42:13 UTC
Description of problem:
windows7(64bit) install qxl(verison:virtio-141) driver for openstack qcow2 image, when use this image create vm, after a while the system became very slowly(outage)and shutdown. at this time, look for openstack compute service log, you will be find this info: During _sync_instance_power_state the DB power_state (1) does not match the vm_power_state from the hypervisor (7). Updating power_state in the DB to match the hypervisor.Instance is suspended unexpectedly. Calling the stop API

Version-Release number of selected component (if applicable):
The virtio-win version: virtio-141
The host distro: (Ubuntu)3.13.0-87-generic
The qemu version:2.0.0
virsh dumpxml:
    <video>
      <model type='qxl' ram='65536' vram='16384' heads='1'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x02' function='0x0'/>
    </video>
    <memballoon model='virtio'>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x07' function='0x0'/>
      <stats period='10'/>
    </memballoon>
/var/log/libvirt/qemu/instance-00000115.log 
2018-04-28 10:09:56.299+0000: starting up
LC_ALL=C PATH=/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/sbin:/sbin:/bin QEMU_AUDIO_DRV=none /usr/bin/kvm -name instance-00000115 -S -machine pc-i440fx-trusty,accel=kvm,usb=off -cpu SandyBridge,+invpcid,+erms,+bmi2,+smep,+avx2,+bmi1,+fsgsbase,+abm,+pdpe1gb,+rdrand,+f16c,+osxsave,+movbe,+dca,+pcid,+pdcm,+xtpr,+fma,+tm2,+est,+smx,+vmx,+ds_cpl,+monitor,+dtes64,+pbe,+tm,+ht,+ss,+acpi,+ds,+vme -m 4096 -realtime mlock=off -smp 2,sockets=2,cores=1,threads=1 -uuid 4d82b3a2-23ef-4be2-9b7a-b353eeffe98f -smbios type=1,manufacturer=Cloud,product=Cloud,version=12.0.2,serial=e03344f3-1313-4512-8095-36d1a00b17aa,uuid=4d82b3a2-23ef-4be2-9b7a-b353eeffe98f,family=Virtual Machine -no-user-config -nodefaults -chardev socket,id=charmonitor,path=/var/lib/libvirt/qemu/instance-00000115.monitor,server,nowait -mon chardev=charmonitor,id=monitor,mode=control -rtc base=utc,driftfix=slew -global kvm-pit.lost_tick_policy=discard -no-hpet -no-shutdown -boot strict=on -device usb-ehci,id=usb,bus=pci.0,addr=0x4 -device piix3-usb-uhci,id=usb1,bus=pci.0,addr=0x5 -drive file=rbd:compute/4d82b3a2-23ef-4be2-9b7a-b353eeffe98f_disk:id=compute:key=AQCJhM9aNFI1HhAA81yW8uSVdB1ZJpTqKsemcg==:auth_supported=cephx\;none:mon_host=172.12.42.5\:6789,if=none,id=drive-virtio-disk0,format=raw,cache=writeback,bps=52428800,iops=800 -device virtio-blk-pci,scsi=off,bus=pci.0,addr=0x6,drive=drive-virtio-disk0,id=virtio-disk0,bootindex=1 -netdev tap,fd=27,id=hostnet0,vhost=on,vhostfd=28 -device virtio-net-pci,netdev=hostnet0,id=net0,mac=fa:16:3e:06:68:dd,bus=pci.0,addr=0x3 -chardev file,id=charserial0,path=/var/lib/nova/instances/4d82b3a2-23ef-4be2-9b7a-b353eeffe98f/console.log -device isa-serial,chardev=charserial0,id=serial0 -chardev pty,id=charserial1 -device isa-serial,chardev=charserial1,id=serial1 -device usb-tablet,id=input0 -vnc 0.0.0.0:0 -k en-us -device qxl-vga,id=video0,ram_size=67108864,vram_size=16777216,bus=pci.0,addr=0x2 -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x7 -msg timestamp=on
Domain id=98 is tainted: high-privileges
char device redirected to /dev/pts/7 (label charserial1)
qemu: terminating on signal 15 from pid 6957
2018-04-28 10:51:08.516+0000: shutting down

How reproducible:
install the software by under step by step, use it for about 1 or 2 hours, the kvm will not operational and dead

Steps to Reproduce:
1.downlaod the package(irtio-win-0.1.141.iso)
2.login the libvirt kvm
3.select Device manager,select Display adapter,right click,update software driver,browse compute driver list,select the step 1 package and next step and finish

Actual results:
the kvm can always used normally

Expected results:
the kvm can not operational and dead


Additional info:
the kvm is not install this dirver is ok.

Comment 1 Yvugenfi@redhat.com 2018-05-02 13:37:54 UTC
Please check if this is not the same issue (fix already sent upstream): https://github.com/virtio-win/kvm-guest-drivers-windows/issues/244

For Windows 7 - Windows XP QXL driver should be used. If during installation, device manager will not be pointed to the exact directory - device manager might install the wrong driver.

Comment 2 zhangjianwei 2018-05-03 03:16:36 UTC
(In reply to Yan Vugenfirer from comment #1)
> Please check if this is not the same issue (fix already sent upstream):
> https://github.com/virtio-win/kvm-guest-drivers-windows/issues/244
> 
> For Windows 7 - Windows XP QXL driver should be used. If during
> installation, device manager will not be pointed to the exact directory -
> device manager might install the wrong driver.

thanks, this is not the same issue.
I have found how to cause this problem(Maybe one of them), select windows Power Management,the options compute go to sleep is 15 min, and the libvirt xml like this:
 <on_poweroff>destroy</on_poweroff>
 <on_reboot>restart</on_reboot>
 <on_crash>destroy</on_crash> 
when kvm sleep(on_crash status),it will call the libvirt api method _event_lifecycle_callback, then the kvm destroy.

verify result: 
1. login, set kvm the options compute go to sleep is 5 min and it destroy after 5 min ago .
2. login, set kvm the options compute go to sleep is never and it always active.

thanks very much again.

Comment 3 Yvugenfi@redhat.com 2018-05-03 09:43:03 UTC
Closing according to comment #2


Note You need to log in before you can comment on or make changes to this bug.